/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jmx.invokerproxy;

import org.jboss.invocation.Invocation;

/**
 * @author <a href="mailto:alex@jboss.org">Alexey Loubyansky</a>
 * @version <tt>$Revision: 1.1.4.1 $</tt>
 */
public class MyService
   implements MyServiceMBean
{
   public String myAction(String arg)
   {
      System.out.println("MyService.myAction> arg=" + arg);
      return "myAction";
   }

   public Object invoke(Invocation mi) throws Exception
   {
      System.out.println("MyService.invoke> method=" + mi.getMethod().getName());
      return "invoke";
   }
}
